GET api/v1/clubmovements?Limit={Limit}&Offset={Offset}&OrderBy={OrderBy}&memberId={memberId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| Limit | integer |
None. |
|
| Offset | integer |
None. |
|
| OrderBy | string |
None. |
|
| memberId | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MultiResultResponseOfClubMovementDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Meta | MetaMultiResult |
None. |
|
| Notifications |
None. |
Response Formats
application/json, text/json
Sample:
{
"meta": {
"limit": 1,
"offset": 2,
"totalResults": 3
},
"notifications": [
{},
{}
],
"results": [
{
"id": "93eb8afc-83ab-4897-bb5f-04a337b94bb6",
"leftPoints": 3.0,
"points": 4.0,
"annotations": "sample string 5",
"caducity": "2026-10-22T17:40:00.9923694+00:00",
"type": 0,
"clubRuleId": "9f1cf0df-e6cc-415f-b566-ecd6314cbb29",
"purchaseId": "a1821510-bf16-41c8-9d91-083a33d75add",
"purchaseItemId": "18e90470-05a4-4f4c-be34-8ae30c6c7bde",
"mmServiceParticipationId": "12e9b4cf-2258-45f0-87e6-f1c259d6ffd1",
"mkActionParticipationId": "1b5cd7f8-8492-4d66-b8dc-dbf4187c9ff1",
"usedCouponCodeId": "2da40c2d-3dd6-40fe-95d7-79ffe106b8eb",
"deviceId": "c37d049d-2e29-415a-bd8e-6f4a48316f40",
"clubMemberId": "f8354a3f-40a3-4ee1-90de-4d058e8bc286",
"creationDate": "2026-10-22T17:40:00.9923694+00:00"
},
{
"id": "93eb8afc-83ab-4897-bb5f-04a337b94bb6",
"leftPoints": 3.0,
"points": 4.0,
"annotations": "sample string 5",
"caducity": "2026-10-22T17:40:00.9923694+00:00",
"type": 0,
"clubRuleId": "9f1cf0df-e6cc-415f-b566-ecd6314cbb29",
"purchaseId": "a1821510-bf16-41c8-9d91-083a33d75add",
"purchaseItemId": "18e90470-05a4-4f4c-be34-8ae30c6c7bde",
"mmServiceParticipationId": "12e9b4cf-2258-45f0-87e6-f1c259d6ffd1",
"mkActionParticipationId": "1b5cd7f8-8492-4d66-b8dc-dbf4187c9ff1",
"usedCouponCodeId": "2da40c2d-3dd6-40fe-95d7-79ffe106b8eb",
"deviceId": "c37d049d-2e29-415a-bd8e-6f4a48316f40",
"clubMemberId": "f8354a3f-40a3-4ee1-90de-4d058e8bc286",
"creationDate": "2026-10-22T17:40:00.9923694+00:00"
}
]
}
application/xml, text/xml
Sample:
<MultiResultResponseOfClubMovementDtoaM_S85dVU xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Presentation.WebApi.Dtos.Response">
<Meta>
<Limit>1</Limit>
<Offset>2</Offset>
<TotalResults>3</TotalResults>
</Meta>
<Notifications>
<Notification />
<Notification />
</Notifications>
<Results xmlns:d2p1="http://schemas.datacontract.org/2004/07/Domain.Dtos">
<d2p1:ClubMovementDto>
<d2p1:Annotations>sample string 5</d2p1:Annotations>
<d2p1:Caducity>2026-10-22T17:40:00.9923694+00:00</d2p1:Caducity>
<d2p1:ClubMemberId>f8354a3f-40a3-4ee1-90de-4d058e8bc286</d2p1:ClubMemberId>
<d2p1:ClubRuleId>9f1cf0df-e6cc-415f-b566-ecd6314cbb29</d2p1:ClubRuleId>
<d2p1:CreationDate>2026-10-22T17:40:00.9923694+00:00</d2p1:CreationDate>
<d2p1:DeviceId>c37d049d-2e29-415a-bd8e-6f4a48316f40</d2p1:DeviceId>
<d2p1:Id>93eb8afc-83ab-4897-bb5f-04a337b94bb6</d2p1:Id>
<d2p1:LeftPoints>3</d2p1:LeftPoints>
<d2p1:MkActionParticipationId>1b5cd7f8-8492-4d66-b8dc-dbf4187c9ff1</d2p1:MkActionParticipationId>
<d2p1:MmServiceParticipationId>12e9b4cf-2258-45f0-87e6-f1c259d6ffd1</d2p1:MmServiceParticipationId>
<d2p1:Points>4</d2p1:Points>
<d2p1:PurchaseId>a1821510-bf16-41c8-9d91-083a33d75add</d2p1:PurchaseId>
<d2p1:PurchaseItemId>18e90470-05a4-4f4c-be34-8ae30c6c7bde</d2p1:PurchaseItemId>
<d2p1:Type>MkactionParticipation</d2p1:Type>
<d2p1:UsedCouponCodeId>2da40c2d-3dd6-40fe-95d7-79ffe106b8eb</d2p1:UsedCouponCodeId>
</d2p1:ClubMovementDto>
<d2p1:ClubMovementDto>
<d2p1:Annotations>sample string 5</d2p1:Annotations>
<d2p1:Caducity>2026-10-22T17:40:00.9923694+00:00</d2p1:Caducity>
<d2p1:ClubMemberId>f8354a3f-40a3-4ee1-90de-4d058e8bc286</d2p1:ClubMemberId>
<d2p1:ClubRuleId>9f1cf0df-e6cc-415f-b566-ecd6314cbb29</d2p1:ClubRuleId>
<d2p1:CreationDate>2026-10-22T17:40:00.9923694+00:00</d2p1:CreationDate>
<d2p1:DeviceId>c37d049d-2e29-415a-bd8e-6f4a48316f40</d2p1:DeviceId>
<d2p1:Id>93eb8afc-83ab-4897-bb5f-04a337b94bb6</d2p1:Id>
<d2p1:LeftPoints>3</d2p1:LeftPoints>
<d2p1:MkActionParticipationId>1b5cd7f8-8492-4d66-b8dc-dbf4187c9ff1</d2p1:MkActionParticipationId>
<d2p1:MmServiceParticipationId>12e9b4cf-2258-45f0-87e6-f1c259d6ffd1</d2p1:MmServiceParticipationId>
<d2p1:Points>4</d2p1:Points>
<d2p1:PurchaseId>a1821510-bf16-41c8-9d91-083a33d75add</d2p1:PurchaseId>
<d2p1:PurchaseItemId>18e90470-05a4-4f4c-be34-8ae30c6c7bde</d2p1:PurchaseItemId>
<d2p1:Type>MkactionParticipation</d2p1:Type>
<d2p1:UsedCouponCodeId>2da40c2d-3dd6-40fe-95d7-79ffe106b8eb</d2p1:UsedCouponCodeId>
</d2p1:ClubMovementDto>
</Results>
</MultiResultResponseOfClubMovementDtoaM_S85dVU>